%define libmajor	0
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Ring class fields of imaginary quadratic number fields and of elliptic curves
Name:		cm
Version:	0.2
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.multiprecision.org/%{name}
Source0:	http://www.multiprecision.org/cm/download/%{name}-%{version}.tar.gz
Patch0:		cm-0.2-link.patch
BuildRequires:	libgmp-devel >= 4.3.2
BuildRequires:	libmpfr-devel >= 2.4.2
BuildRequires:	libmpc-devel >= 0.8.2
BuildRequires:	libmpfrcx-devel >= 0.4
BuildRequires:	libpari-devel >= 2.5.1
BuildRequires:	ntl-devel
BuildRequires:	zlib-devel

%description
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for CM
Group:		Development/C
Requires(post):	info-install
Requires(preun):info-install
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for CM.

%prep
%setup -q
%patch0 -p0

%build
autoreconf -if
%configure2_5x			\
	--enable-shared		\
	--disable-static

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{_datadir}/{af,df} %{buildroot}%{_datadir}/%{name}

%check
make check

%files
%{_bindir}/classpol
%{_bindir}/cm
%{_datadir}/%{name}
%{_datadir}/mf/*.gz

%files -n %{libname}
%{_libdir}/lib*.so.%{libmajor}*

%files -n %{libname_devel}
%{_includedir}/*.h
%{_infodir}/cm.info*
%{_libdir}/lib*.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 503401
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 347949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 fwang <fwang> 0.2-1.mga3
+ Revision: 303307
- update file list
- more linkage fix
- fix linkage
- new version 0.2

  + blino <blino>
    - rebuild to get info pages as xz instead of lzma

* Tue Feb 01 2011 dmorgan <dmorgan> 0.1-4.mga1
+ Revision: 45713
- imported package cm


* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.1-4mdv2011.0
+ Revision: 634375
- fix build with latest mpfrx

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2011.0
+ Revision: 610146
- rebuild

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.1-2mdv2010.1
+ Revision: 503616
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.1-1mdv2010.1
+ Revision: 489917
- Import CM version 0.1.
- cm

